Package org.eclipse.swt.custom

# Class ExtendedModifyEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.custom.ExtendedModifyEvent

All Implemented Interfaces:
  `Serializable`

public final class ExtendedModifyEvent extends TypedEvent
This event is sent after a text change occurs.

See Also:
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`length`
length of the new text
`String`
`replacedText`
replaced text or empty string if no text was replaced
`int`
`start`
start offset of the new text

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedModifyEvent(org.eclipse.swt.custom.StyledTextEvent e)`
Constructs a new instance of this class based on the information in the given event.

## Method Summary

### Methods inherited from class org.eclipse.swt.events.TypedEvent

`toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public int start
start offset of the new text

### length

public int length
length of the new text

### replacedText

public String replacedText
replaced text or empty string if no text was replaced

## Constructor Details

### ExtendedModifyEvent

public ExtendedModifyEvent(org.eclipse.swt.custom.StyledTextEvent e)
Constructs a new instance of this class based on the information in the given event.

Parameters:
  `e` - the event containing the information